Version 10.5.10, can't connect: "SSL Handshake Failed"

An instant messenger which can connect to AIM, GTalk, Jabber, ICQ, and more.
tom1234
Harmless
Posts: 1
Joined: Wed Jun 07, 2017 5:08 pm

Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby tom1234 » Wed Jun 07, 2017 5:12 pm

I use Adium 10.5.10 on OS 10.6.8. Since yesterday I've been getting this error message:

Error: Error requesting https://api.oscar.aol.com/aim/startOSCARSession: Unable to connect to api.oscar.aol.com: SSL Handshake Failed


Also, I tried opening a trouble ticket but I get this error:

TracError: No Trac environment found at /srv/trac/env
[Errno 2] No such file or directory: '/srv/trac/env/VERSION'

YA_Adium_User
Harmless
Posts: 2
Joined: Sat Jun 10, 2017 5:13 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby YA_Adium_User » Sat Jun 10, 2017 5:23 am

The AIM "SSL Handshake Failed" error is happening on 1.5.10 for me too, and the beta releases seem to require 10.7, which my iMac can't run.

I hope whatever the fix is can be rolled into a Snow Leopard-compatible release. Adium is by far my favorite chat client (I realize that in the dying world of people actually conversing and not just sending nudes that's sort of a "healthiest leper in the colony" compliment).

Hackintosh
Harmless
Posts: 5
Joined: Mon Jun 26, 2017 11:59 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Hackintosh » Mon Jun 26, 2017 12:24 pm

I am experiencing the same error with Adium when I try to connect.
"SSL Handshake Failed"

I am running a Mac Mini Core i5.
My OS is Lion 10.7.5
Build 11G63

My Adium verison is 1.5.10.4.

One day a month ago or so everything was fine.
The next day, Adium wouldn't connect with that error.
No changes were made to the OS from one day to the next.

I did a fresh install of Mac OS X Lion and installed all the updates and installed Adium of course, and I still got the same error.
I then tried it on a fresh install of Mac OS X Mountain Lion with all the updates, and installed the same Adium and it WORKED!!!

On the Lion it doesn't work on, I looked in the Console log and found these two error messages...

6/22/17 10:03:17.193 PM [0x0-0x1d01d0].com.adiumX.adiumX: cdsa: SSLHandshake failed with error -9844

6/22/17 10:00:58.913 PM [0x0-0x1c61c6].com.adiumX.adiumX: SocketRead err = -9806

I was wondering if somebody could tell me what these error numbers mean? Or point me in the right direction to find that out.

Also I realize the simplest solution would be just to upgrade my Lion to Mountain Lion, but that particular Mac Mini is my main Mac and I'm not going to do that. The fresh installs were done on other Mac Minis, just for testing purposes.

Oh, I also updated the Openssl library of Lion to the same version that Mountain Lion uses, from 0.9.8za to 0.9.8zg, but that didn't change anything. Same error.

I realize the error probably has something to do with a certificate expiring or something like that. I looked at the certificates in Keychain Access on both Lion and Mountain Lion and they are awfully similar. With nothing obvious like a certificate that has just expired.

And there you have it. If somebody could point me in the right direction, I would be most appreciative.

Ideally what I want to do is change the one thing on my Lion that is different from my Mountain Lion, to get Adium to connect again. Whether it be a setting someplace or coping a file from one os to the other. Yeah I know, the file coping fix method is probably frowned upon, but if it fixes it, I'll be happy.

shaosean
Harmless
Posts: 18
Joined: Tue Nov 29, 2016 1:29 pm

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby shaosean » Wed Jun 28, 2017 7:31 pm

That server no longer supports SSL 2, SSL 3 or TLSv1.. I know on my older Mac I can't view my own website because I don't support the older, insecure SSL/TLS..

I'm not too certain how to check it, as the trac server seems to be offline so I can't look at the source code..

User avatar
Robby
Cocoaforge Admin
Posts: 2538
Joined: Mon May 01, 2006 3:00 am
Contact:

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Robby » Wed Jun 28, 2017 7:32 pm

shaosean wrote:[…] I'm not too certain how to check it, as the trac server seems to be offline so I can't look at the source code..

We have a mirror of the source code here: https://bitbucket.org/adium/adium

User avatar
Robby
Cocoaforge Admin
Posts: 2538
Joined: Mon May 01, 2006 3:00 am
Contact:

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Robby » Wed Jun 28, 2017 11:23 pm

Using the latest version of Adium, 1.5.10.4, I'm able to connect to AIM without a hitch.

For troubleshooting purposes, could those of you unable to connect please post a screenshot of your account settings? You can find them by opening Adium's preferences from the "Adium" menu, double-clicking your AIM account and then choosing the third tab called "Settings".

Below are my settings. I've tested connecting with each of the "Encryption" settings and all three work for me.

Bildschirmfoto 2017-06-29 um 01.21.42.png

shaosean
Harmless
Posts: 18
Joined: Tue Nov 29, 2016 1:29 pm

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby shaosean » Thu Jun 29, 2017 4:12 pm

If I'm looking at the source code correctly, the error is coming from libpurple and they do their own SSL handshaking and not one of the other libraries (OpenSSL, etc).. It seems to be a generic SSL error and not anything specific to the protocol..

I was able to access the URL <https://api.oscar.aol.com/aim/startOSCARSession> from my older Mac 10.9.5 system without any certificate warning..

This error only happens on the AIM protocol?

Hackintosh
Harmless
Posts: 5
Joined: Mon Jun 26, 2017 11:59 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Hackintosh » Fri Jun 30, 2017 5:41 pm

We have a mirror of the source code here: https://bitbucket.org/adium/adium


I finally figured out how to use Sourcetree with Lion 10.7.5. That was a bit a finagle. I wanted to see if I compiled Adium 1.5.10.4 would it work any better. I'd have to say no. Due to a compile error. The error is...

The following build commands failed:
CompileC build/Adium.build/Release-Debug/AdiumLibpurple.build/Objects-normal/x86_64/AIFacebookXMPPOAuthWebViewWindowController.o "Plugins/Purple Service/AIFacebookXMPPOAuthWebViewWindowController.m" normal x86_64 objective-c com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)
make: *** [adium] Error 65


I also tried to compile it on Mountain Lion 10.8.5 with the same error. My Xcode version in both is 4.6.3.
It would of been nice if it compiled as it would of been something to try. But this is a separate problem.

----------------

For troubleshooting purposes, could those of you unable to connect please post a screenshot of your account settings?


Sure. Even though they are the same as yours...

Image

I too tried all 3 encryption settings with no difference.

Here's an image of the actual error...

Image

With my username removed by me.

-----------------

the error is coming from libpurple and they do their own SSL handshaking and not one of the other libraries (OpenSSL, etc)


I have not looked at the source code itself. Only tried to compile it. But I would have to disagree. As I am only getting the error from Lion 10.7.5 and not from Mountain Lion 10.8.5 with Adium 1.5.10.4 in both. I would think what ever is causing the error would have to be external to the Adium application itself. Now I'm not saying that an adjustment to Adium's source code couldn't fix the problem. That very well may be possible. But I just don't know.

-----------------

I don't think I mentioned this, this problem with Adium is happening when I use a AIM account. I have no other accounts with other protocols to try.

To get around this problem I have installed Pidgin using Macports. After some tweaking in the launching of the App to make it more Mac like (Instead of using the Terminal) it is working quite well.
Attachments
adiumerror.tiff
adiumerror.tiff (78.89 KiB) Viewed 967 times
adiumsettings.tiff
adiumsettings.tiff (85.04 KiB) Viewed 967 times

Hackintosh
Harmless
Posts: 5
Joined: Mon Jun 26, 2017 11:59 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Hackintosh » Fri Jun 30, 2017 5:47 pm

OOPS. My pictures didn't come out. I tried for 30 minutes to get my pictures to work. Oh well.

The first one has the same settings as the person who posted their picture of their settings.

And the 2nd one... Here's the actual error message from my AIM account...

Error: Error requesting https://api.oscar.aol.com/aim/
startOSCARSession: Unable to connect to
api.oscar.aol.com: SSL Handshake Failed

...That's exactly how the error message is written. Sorry I screw my pictures up some how.

shaosean
Harmless
Posts: 18
Joined: Tue Nov 29, 2016 1:29 pm

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby shaosean » Fri Jun 30, 2017 8:05 pm

Hackintosh wrote:As I am only getting the error from Lion 10.7.5


Do you get any SSL error when going to that URL in Safari?

Hackintosh
Harmless
Posts: 5
Joined: Mon Jun 26, 2017 11:59 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Hackintosh » Fri Jun 30, 2017 10:26 pm

shaosean wrote:Do you get any SSL error when going to that URL in Safari?


In Safari on Lion it does not work. The error i get is...

Safari can't open the page "https://api.oscar.aol.com" because Safari can't
establish a secure connection to the server "api.oscar.aol.com"

In Safari on Mountain Lion, where Adium does work, I get the same error.

I also have Firefox version 48.0.2 installed on both my Lion and Mountain Lion. And when I go to that url in Firefox
in both Lion and Mountain Lion, I get redirected to the aol home page. https://www.aol.com/

Hackintosh
Harmless
Posts: 5
Joined: Mon Jun 26, 2017 11:59 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby Hackintosh » Thu Jul 13, 2017 11:39 pm

If anyone wants an update on how I made out, here it is.

After much thought I finally upgraded my Mac-Mini from Lion to Sierra.

And guess what. Adium just works again.

Pidgin was another story.

I realized that I had to get a new Xcode, 8.3.3 and a new macports, for Sierra. Which I did.

And installed Pidgin again, cause the previous Pidgin would only work with Lion.

And now Pidgin won't run due to some can't find the display problem.

I don't care. Adium works again. I'm happy. Case closed.

shaosean
Harmless
Posts: 18
Joined: Tue Nov 29, 2016 1:29 pm

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby shaosean » Mon Jul 17, 2017 4:02 am

Glad to hear :D

YA_Adium_User
Harmless
Posts: 2
Joined: Sat Jun 10, 2017 5:13 am

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby YA_Adium_User » Sat Jul 22, 2017 9:43 am

It's good that the .4 release works for 10.7 and above, but any help for those of us hardware-limited to 10.6.8?

I'd be willing to go poke the code and compile my own version but a clue about where to start would be appreciated. Thanks.

shaosean
Harmless
Posts: 18
Joined: Tue Nov 29, 2016 1:29 pm

Re: Version 10.5.10, can't connect: "SSL Handshake Failed"

Postby shaosean » Sat Jul 22, 2017 11:53 am

This might be an issue with the older operating systems not having support for the newer security certificates on the server.. You would probably need to compile a copy of OpenSSL (or whatever SSL library floats your boat) and then re-compile Adium to use it, instead of the system supplied one.. This is just guessing on my part though..


Return to “Adium”

Who is online

Users browsing this forum: Majestic-12 [Bot]